## com.saxonica.extra
Class IndexedSequence

    java.lang.Object
      com.saxonica.extra.IndexedSequence

    public class IndexedSequence

extends java.lang.Object

IndexedSequence is a simple package of information returned by saxon:index(), and used by saxon:find(). It encapsulates the indexed sequence itself (which will not actually be indexed until the first time the index is used), the expression used for indexing, and the collation used for matching strings.

Constructor Summary
`IndexedSequence(IndexedValue sequence, SequenceIterable exp, StringCollator collator)`

Method Summary
`SequenceIterable` `getExpression()`
`IndexedValue` `getSequence()`
`StringCollator` `getStringCollator()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IndexedSequence

    public IndexedSequence(IndexedValue sequence,
                           SequenceIterable exp,
                           StringCollator collator)

Method Detail

### getSequence

    public IndexedValue getSequence()

### getExpression

    public SequenceIterable getExpression()

### getStringCollator

    public StringCollator getStringCollator()

Copyright (c) Saxonica Limited. All rights reserved.